Security Enhanced Linux Reference Policy

# Layer: admin

## Module: apt

Interfaces

### Description:

APT advanced package tool.

### Interfaces:

apt_domtrans( domain )

##### Summary

Execute apt programs in the apt domain.

##### Parameters

Parameter: | Description:
--- | ---
domain | The type of the process performing this action.

apt_dontaudit_manage_db( domain )

##### Summary

Do not audit attempts to create, read, write, and delete the apt package database.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain to not audit.

apt_dontaudit_use_fds( domain )

##### Summary

Do not audit attempts to use file descriptors from apt.

##### Parameters

Parameter: | Description:
--- | ---
domain | The type of the process attempting performing this action which should not be audited.

apt_manage_db( domain )

##### Summary

Create, read, write, and delete the apt package database.

##### Parameters

Parameter: | Description:
--- | ---
domain | The type of the process performing this action.

apt_read_cache( domain )

##### Summary

Read the apt package cache.

##### Parameters

Parameter: | Description:
--- | ---
domain | The type of the process performing this action.

apt_read_db( domain )

##### Summary

Read the apt package database.

##### Parameters

Parameter: | Description:
--- | ---
domain | The type of the process performing this action.

apt_read_pipes( domain )

##### Summary

Read from an unnamed apt pipe.

##### Parameters

Parameter: | Description:
--- | ---
domain | The type of the process performing this action.

apt_run( domain , role )

##### Summary

Execute apt programs in the apt domain.

##### Parameters

Parameter: | Description:
--- | ---
domain | The type of the process performing this action.
role | The role to allow the apt domain.

apt_rw_pipes( domain )

##### Summary

Read and write an unnamed apt pipe.

##### Parameters

Parameter: | Description:
--- | ---
domain | The type of the process performing this action.

apt_use_fds( domain )

##### Summary

Inherit and use file descriptors from apt.

##### Parameters

Parameter: | Description:
--- | ---
domain | The type of the process performing this action.

apt_use_ptys( domain )

##### Summary

Read from and write to apt ptys.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

Return